/longtermforecast#
Long-term production forecasts for gas production of the lower 48 for the next 12 months.
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/longtermforecast |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/longtermforecast" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
long_term_forecast_resp = hyperion_api_client.long_term_forecast()
long_term_forecast_df = long_term_forecast_resp.df()
long_term_forecast_df.head()
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
aggregate_by |
string array |
Fields to aggregate over |
region_natgas |
date_prod_max |
— |
The date range maximum of production in YYYY-MM-DD format |
— |
date_prod_min |
— |
The date range minimum of production in YYYY-MM-DD format |
— |
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
date_prod |
— |
The date of production in YYYY-MM-DD format |
— |
prod_dry_gas_bcf_day |
number |
Daily dry gas production in billion cubic feet |
— |
prod_oil_bbl_day |
number |
Daily oil production in barrels |
— |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Aggregation#
Supported parameters: date_prod, region_natgas, sub_region_natgas
Normal Output#
date_prod |
prod_dry_gas_bcf_day |
prod_oil_bbl_day |
region_natgas |
sub_region_natgas |
|---|---|---|---|---|
2021-01-01 |
0.2 |
12.0 |
southeast |
AL |
2021-02-01 |
4.139493403 |
387.612 |
west |
Colorado wo SJ |
2021-03-01 |
0.245045515 |
13.0 |
midwest |
MI |
2021-03-01 |
0.780409371 |
28.71 |
gulf |
North - TX |
2021-01-01 |
1.970442011 |
1811.0 |
gulf |
GOM |
2021-02-01 |
0.1 |
6.0 |
northeast |
KY |
2021-02-01 |
6.070853497 |
58.0 |
northeast |
OH |
2021-03-01 |
4.065943613 |
386.613 |
west |
Colorado wo SJ |
2021-04-01 |
0.635766667 |
89.0 |
west |
UT |
2021-01-01 |
2.146225198 |
1135.0 |
midwest |
North Dakota |